<template>
  <main>
    <section class="section">
      <div class="wrapper-title">
        <h1 class="main-title">{{ $t('pages.faq.title') }}</h1>
      </div>
      <h2 class="title">{{ $t('pages.faq.introduction_title') }}</h2>
      <p v-html="$t('pages.faq.introduction_text')" class="summary-text"></p>
      <div class="entry-info-card">
        <InformationCard
          :title="$t('pages.contribute.tutorial_title')"
          :text="$t('pages.contribute.tutorial_desc')"
          look="white"
        />
      </div>
    </section>
    <section class="section">
      <FaqThemes />
    </section>
  </main>
</template>

<script lang="ts" setup>
import FaqThemes from '@/components/FaqThemes.vue'
import InformationCard from '@/components/InformationCard.vue'
</script>

<style scoped lang="scss">
.section {
  padding: 3rem 15%;
}
.section:nth-child(even) {
  background-color: var(--white);
}
.section:nth-child(odd) {
  background-color: var(--grey);
}
.main-title {
  @include title();
  margin-right: 2rem;
}
.wrapper-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 2rem;
}
.title {
  font-family: SFPro-SemiBold;
  font-size: 2.2rem;
  color: var(--blue-dark);
  margin-bottom: 2rem;
}
.summary-text {
  white-space: pre-wrap;
  font-size: 1.6rem;
  line-height: 1.5;
  color: var(--grey-dark);
}
.entry-info-card {
  margin-top: 3rem;
}
@media (max-width: 1324px) {
  .section {
    padding: 3rem 10%;
  }
}
@media (max-width: 768px) {
  .section {
    padding-right: 2rem;
    padding-left: 2rem;
  }
  .main-title {
    font-size: 2rem;
  }
  .title {
    font-size: 1.8rem;
  }
  .summary-text {
    font-size: 1.4rem;
  }
}
</style>
